
From: Chris Mason <mason@suse.com>

Add reiserfs support for laptop mode.


---

 25-akpm/fs/reiserfs/journal.c |    7 ++++---
 25-akpm/fs/reiserfs/super.c   |    1 +
 2 files changed, 5 insertions(+), 3 deletions(-)

diff -puN fs/reiserfs/journal.c~reiserfs-laptop-mode fs/reiserfs/journal.c
--- 25/fs/reiserfs/journal.c~reiserfs-laptop-mode	Wed Mar 24 15:14:50 2004
+++ 25-akpm/fs/reiserfs/journal.c	Wed Mar 24 15:14:50 2004
@@ -2313,11 +2313,12 @@ int journal_init(struct super_block *p_s
   SB_JOURNAL_TRANS_MAX(p_s_sb)      = le32_to_cpu (jh->jh_journal.jp_journal_trans_max);
   SB_JOURNAL_MAX_BATCH(p_s_sb)      = le32_to_cpu (jh->jh_journal.jp_journal_max_batch);
   if (commit_max_age != 0) {
-	  SB_JOURNAL_MAX_COMMIT_AGE(p_s_sb) = commit_max_age;
+      SB_JOURNAL_MAX_COMMIT_AGE(p_s_sb) = commit_max_age;
+      SB_JOURNAL_MAX_TRANS_AGE(p_s_sb) = commit_max_age;
   } else {
-  SB_JOURNAL_MAX_COMMIT_AGE(p_s_sb) = le32_to_cpu (jh->jh_journal.jp_journal_max_commit_age);
+      SB_JOURNAL_MAX_COMMIT_AGE(p_s_sb) = le32_to_cpu (jh->jh_journal.jp_journal_max_commit_age);
+      SB_JOURNAL_MAX_TRANS_AGE(p_s_sb)  = JOURNAL_MAX_TRANS_AGE;
   }
-  SB_JOURNAL_MAX_TRANS_AGE(p_s_sb)  = JOURNAL_MAX_TRANS_AGE;
 
   if (SB_JOURNAL_TRANS_MAX(p_s_sb)) {
     /* make sure these parameters are available, assign it if they are not */
diff -puN fs/reiserfs/super.c~reiserfs-laptop-mode fs/reiserfs/super.c
--- 25/fs/reiserfs/super.c~reiserfs-laptop-mode	Wed Mar 24 15:14:50 2004
+++ 25-akpm/fs/reiserfs/super.c	Wed Mar 24 15:14:50 2004
@@ -822,6 +822,7 @@ static int reiserfs_remount (struct supe
 
   if(commit_max_age != 0) {
 	  SB_JOURNAL_MAX_COMMIT_AGE(s) = commit_max_age;
+	  SB_JOURNAL_MAX_TRANS_AGE(s) = commit_max_age;
   }
 
   if(blocks) {

_
